aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-javascript-minifier/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2011-06-02 11:04:38 +0300
committerTimo Teräs <timo.teras@iki.fi>2011-06-02 11:48:25 +0300
commitbe3c86c2107d9d0bee429c4b9ba83e7fe8b2f17e (patch)
tree8388292a2f34138e41e1f2d78bf152125f9cf1ca /testing/perl-javascript-minifier/APKBUILD
parent60473161e582e29646f0f70d349a21a592fbb3d2 (diff)
downloadaports-be3c86c2107d9d0bee429c4b9ba83e7fe8b2f17e.tar.gz
aports-be3c86c2107d9d0bee429c4b9ba83e7fe8b2f17e.tar.bz2
aports-be3c86c2107d9d0bee429c4b9ba83e7fe8b2f17e.tar.xz
testing/perl-javascript-minifier: new apkbuild-cpan generated aport
Perl extension for minifying JavaScript code http://search.cpan.org/dist/JavaScript-Minifier/
Diffstat (limited to 'testing/perl-javascript-minifier/APKBUILD')
-rw-r--r--testing/perl-javascript-minifier/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/perl-javascript-minifier/APKBUILD b/testing/perl-javascript-minifier/APKBUILD
new file mode 100644
index 0000000000..c514dae644
--- /dev/null
+++ b/testing/perl-javascript-minifier/APKBUILD
@@ -0,0 +1,37 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=perl-javascript-minifier
+_pkgreal=JavaScript-Minifier
+pkgver=1.05
+pkgrel=0
+pkgdesc="Perl extension for minifying JavaScript code"
+url="http://search.cpan.org/dist/JavaScript-Minifier/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/P/PM/PMICHAUX/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="14c1fa2fcf76c97de4d0fe0d8d7fc145 JavaScript-Minifier-1.05.tar.gz"